Creates a new item
Request Information
URI Parameters :
None.
Body Parameters :
db_info_field| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier | |
| db_info_id |
Foreign key to db_info (chapters) |
globally unique identifier |
Optionally required : db_info_id,db_info_code or node db_info must be provided |
| db_info_code |
Embedded entity "db_info" using ERP PK when adding/updating db_info_field |
string |
Optionally required : db_info_id ,db_info_code or node db_info must be provided |
| db_info |
Embedded entity "db_info" (chapter) when adding/updating db_info_field |
db_info |
Optionally required : db_info_id,db_info_code or node db_info must be provided |
| db_input_type_id |
Type of the fied (like Textbox,TextArea) |
globally unique identifier |
Optionally required : db_input_type_id or db_input_type_code must be provided |
| db_input_type_code |
Use of the possible type : TextBox,TextArea,SelectBox,RadioButton,DateTime,NumericField,Checkbox,ComboBox,Email,Url,DatePicker,MonthCalendar,TimePiker,Number |
string |
Optionally required : db_input_type_id or db_input_type_code must be provided |
| name |
Name/Code of the info field.Field used for Embedded entity (store there your ERP PK) |
string |
Required Max length: 50 |
| title |
Title that will be shown on the UI of the info field |
string |
Required Max length: 50 |
| sequence |
Sorting field (0 first), to order them inside the chapter |
integer | |
| description |
Description of the field |
string |
Max length: 255 |
| is_mandatory |
Force user to fill it before saving |
boolean | |
| is_readonly |
Avoid user to edit the value using the UI |
boolean | |
| hide_in_view_if_empty |
Hide this field in view mode if no value |
boolean |
Request Formats :
application/json, text/json
{
"id": "4ad12068-16e9-41e8-9870-0ceb0a80c871",
"db_info_id": "4c43eaea-bb0f-45f0-aa15-6be1cab69ae3",
"db_info_code": "sample string 3",
"db_info": {
"id": "bd2bf40a-f1d8-44ab-810e-af5f0234796e",
"name": "sample string 2",
"code": "sample string 3",
"sequence": 4,
"db_info_category_id": "2b17664b-88bd-4a42-838c-581b2a3cb3d8",
"db_info_category_code": "sample string 6",
"parent_id": "94750782-77cd-4767-bc39-ed81abec981b",
"parent_db_info_code": "sample string 8",
"modified_dateutc": "2026-10-28T21:49:12.7497758+00:00"
},
"db_input_type_id": "05dca8fd-79d5-4235-be76-e9a357becbf0",
"db_input_type_code": "sample string 5",
"name": "sample string 6",
"title": "sample string 7",
"sequence": 8,
"description": "sample string 9",
"is_mandatory": true,
"is_readonly": true,
"hide_in_view_if_empty": true
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.